package runtime;

public interface IPlayer {
	
	/**
	 * @return a zero indexed column number representing the move played
	 */
	public int getMove();
	
	/**
	 * Alters the board configuration by playing the opponent's move
	 * @param move - a zero indexed column number
	 */
	public void setOpponentsMove(int move);
	
	/**
	 * Initializes all internal mechanisms so we can start a new game
	 * @param doIStart - a boolean value indicating if the agent is the first player
	 */
	public void start(boolean doIStart);
	
	/**
	 * 
	 * @param didIWin - 0 = won, 1 = lost, 2 = tie
	 */
	public void finish(int didIWin);
}
