package runtime;

import java.util.ArrayList;
import java.util.List;

import board.BoardCount;
import board.Board;
import engine.Constants;

public class PlayerRandom implements IPlayer {

	private Board board = new BoardCount();
	
	@Override
	public int getMove() {
		List<Integer> legalMoves = new ArrayList<Integer>(Constants.nCols);
		
		for(int i=0; i<Constants.nCols; ++i) {
			if (board.isLegalMove(i))
				legalMoves.add(i);
		}
		
		int move = legalMoves.get((int)Math.floor(Math.random()*legalMoves.size()));
		
		board.setMove(move, false);
		return move;
		
	}

	@Override
	public void setOpponentsMove(int move) {
		board.setMove(move, true);
	}

	@Override
	public void start(boolean doIStart) {
		board.clear();
	}

	@Override
	public void finish(int winner) {
	}

}
